String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtFec").value=GetFec();
	document.getElementById("CboTde").value="";
	document.getElementById("TxtTot").value="";
	document.getElementById("TxtObs").value="";	
	document.getElementById("TxtNro").value="";	
	document.getElementById("CboMod").value="";	
	//
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtFec").focus();
}
function fGuardar(){
	var Emp=gv("CboEmp");
	var Nro=gv("TxtNro");
	var Fec=gv("TxtFec");
	var Alm=gv("CboAlm");
	var Tde=gv("CboTde");
	var Tot=gv("TxtTot");
	var Mod=gv("CboMod");
	//
	if(jL(Fec)==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(jL(Emp)==0){
		alert("Seleccione una empresa");
		return jF("CboEmp");
	}
	if(jL(Alm)==0){
		alert("Seleccione el almacen correspondiente");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(jL(Tde)==0){
		alert("Seleccione el tipo de egreso correspondiente");
		document.getElementById("CboTde").focus();
		return;
	}
	if(jL(Tot)==0){
		alert("Ingrese el total correspondiente");
		document.getElementById("TxtTot").focus();
		return;
	}
	if(jL(Mod)==0){
		alert("Seleccione el tipo de pago");
		document.getElementById("CboMod").focus();
		return;
	}	
	if(jLen(Nro)==0){
		alert("Ingrese el numero de recibo. Si no tiene numero de recibo entonces ingreser cero");
		jFocus("TxtNro");return;
	}
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}

//**************************************************************************
